using System;
using System.Collections.Generic;
using System.Collections;
using System.Data;
using System.Data.Common;
using System.Text;
using System.Xml.Serialization;

namespace CodePlex.XmlDataMapper.Helpers
{
   [Serializable]
   public class FieldMappers
   {
      public FieldMappers() {/*no-op*/}

      public FieldMappers(FieldMapper[] fieldMapper)
      {
         int length = fieldMapper.Length;
         List<FieldMapper> list = new List<FieldMapper>(length);
         list.AddRange(fieldMapper);
         this.FieldMapper = list.ToArray();
      }

      [XmlElement]
      public FieldMapper[] FieldMapper;
   }
}
//Copyright Binoj V Antony  2010 under GNU Library General Public License (LGPL) at http://XmlDataMapper.CodePlex.com/
//Please preserve the authors names and copyright statement in the code even when the work is changed or added to.